<?php
	function delete_directory($dirname) {
 
    //weryfikacja czy istnieje podana lokalizacja
    if(!file_exists($dirname))
        return false;
 
    //sprawdzenie czy jest to katalog
    if (is_dir($dirname))
         $dir_handle = opendir($dirname);
 
    //jeśli nie udało się otworzyć lokalizacji opuszczenie funkcji
    if (!$dir_handle)
         return false;
 
    //przejrzenie zawartości katalogu
    while($file = readdir($dir_handle)) {
 
        //odrzucenie ścieżki bierzącego katalogu i katalogu nadrzędnego
        if ($file != '.' && $file != '..') {
 
            //jeśli element katalogu nie jest także katalogiem usunięcie go
            if (!is_dir($dirname."/".$file))
                //usunięcie pliku
                unlink($dirname."/".$file);
            else
                //jeśli element jest katalogiem wykonanie funkcji delete_directory dla niego
                delete_directory($dirname.'/'.$file);         
        }
    }
 
    //zamknięcie lokalizacji
    closedir($dir_handle);
 
    //usunięcie katalogu
    rmdir($dirname);
 
    return true;
}
 
	//$katalog = '/pliki/upload/plik2';
	//delete_directory($katalog);
	
	$file_name="katadam";
mkdir("pliki/upload/$file_name", 0744);
mkdir("pliki/upload/$file_name/foto", 0744);
mkdir("pliki/upload/$file_name/pliki", 0744);

	

?>